WordPress.org

Support

Support » Plugins and Hacks » [Resolved] SSL and Mixed Content Warnings

[Resolved] SSL and Mixed Content Warnings

Viewing 3 replies - 1 through 3 (of 3 total)
  • I’ve done a bit more digging. The code is being called in from reflex-gallery.php

    approx line 85

    //Add gallery scripts
    public function add_gallery_scripts() {
    wp_enqueue_script(‘jquery’);
    wp_register_script(‘jquery_migrate’, ‘http://code.jquery.com/jquery-migrate-1.1.1.js’, array(‘jquery’));
    wp_enqueue_script(‘jquery_migrate’);
    wp_register_script(‘flexSlider’, WP_PLUGIN_URL.’/reflex-gallery/scripts/flexslider/jquery.flexslider-min.js’, array(‘jquery’));
    wp_register_script(‘prettyPhoto’, WP_PLUGIN_URL.’/reflex-gallery/scripts/prettyphoto/jquery.prettyPhoto.js’, array(‘jquery’));

    Sorry about the formatting

    Since the script is being registered correctly, but with the wrong URL, you can fix it by installing/activating the SSL Insecure Content Fixer plugin.

    [edited comment, sorry for confusion]

    Plugin author: you can load this script over SSL when appropriate by using this trick:

    $proto = is_ssl() ? 'https' : 'http';
    wp_register_script('jquery_migrate', "$proto://code.jquery.com/jquery-migrate-1.1.1.js", array('jquery'), null);
    wp_enqueue_script('jquery_migrate');

    Also note that if your script has version information embedded in the name, you can pass null as the version string and the script won’t have ?ver=3.5.1 tacked on the end; this is better for browser cache utilisation.

    cheers,
    Ross

    Plugin Author hahncgdev

    @hahncgdev

    Hi,

    This issue has been corrected in version 1.4.5 released today.

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] SSL and Mixed Content Warnings’ is closed to new replies.